CK_HT_ITERATOR_INIT(3)

NAME
ck_ht_iterator_init - initialize hash table iterator

LIBRARY
Concurrency Kit (libck, -lck)

SYNOPSIS
#include <ck_ht.h>

ck_ht_iterator_t iterator = CK_HT_ITERATOR_INITIALIZER

void
ck_ht_iterator_init(ck_ht_iterator_t *iterator);

DESCRIPTION
The ck_ht_iterator_init() function will initialize the object pointed to by the iterator argument. Alternatively, an iterator may be statically initialized by assigning it the CK_HT_ITERATOR_INITIALIZER value.

An iterator is used to iterate through hash table entries with the ck_ht_next(3) function.

RETURN VALUES
The ck_ht_iterator_init() function does not return a value.

ERRORS
This function will not fail.

SEE ALSO
ck_ht_stat(3), ck_ht_init(3), ck_ht_destroy(3), ck_ht_hash(3), ck_ht_hash_direct(3), ck_ht_set_spmc(3), ck_ht_put_spmc(3), ck_ht_gc(3), ck_ht_get_spmc(3), ck_ht_grow_spmc(3), ck_ht_remove_spmc(3), ck_ht_count(3), ck_ht_reset_size_spmc(3), ck_ht_entry_empty(3), ck_ht_entry_key_set(3), ck_ht_entry_key_set_direct(3), ck_ht_entry_key_length(3), ck_ht_entry_key(3), ck_ht_entry_set(3), ck_ht_entry_set_direct(3), ck_ht_entry_key_direct(3), ck_ht_entry_value(3), ck_ht_entry_value_direct(3), ck_ht_next(3)

Additional information available at http://concurrencykit.org/